/// <reference types="react" />
type IndexField = {
    name: string;
    type: string;
};
type CreateIndexFormProps = {
    fields: IndexField[];
    newIndexField: string | null;
    schemaFields: string[];
    serverVersion: string;
    updateFieldName: (idx: number, name: string) => void;
    updateFieldType: (idx: number, fType: string) => void;
    addField: () => void;
    removeField: (idx: number) => void;
    createNewIndexField: (newField: string) => void;
};
declare function CreateIndexForm({ fields, newIndexField, schemaFields, serverVersion, updateFieldName, updateFieldType, addField, removeField, createNewIndexField, }: CreateIndexFormProps): JSX.Element;
export { CreateIndexForm };
//# sourceMappingURL=create-index-form.d.ts.map